Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Wyłącznie system! Wątpliwości dotyczące aplikacji proszę umieszczać niżej, w odpowiednich forach.
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: cookiemonster » 05 sie 2019, 09:42

Dzień dobry,
posiadam Ubuntu 18.04.02 na ESXi 6.0.

Aktualnie podczas próby aktualizacji wyskakuje mi coś takiego:

Kod: Zaznacz cały

Unattended upgrade returned: False

Warning: A reboot is required to complete this upgrade.

Packages that attempted to upgrade:
 ubuntu-minimal ubuntu-server ubuntu-standard 



Package installation log:
Log started: 2019-08-03  06:39:36
dpkg: warning: files list file for package 'libpolkit-agent-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'policykit-1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'java-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gettext-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-backend-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdns-export1100' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-gobject-1-0:amd64' missing; assuming package has no files currently installed
Preparing to unpack .../ubuntu-minimal_1.417.3_amd64.deb ...
Unpacking ubuntu-minimal (1.417.3) over (1.417.2) ...
Setting up linux-image-4.15.0-52-generic (4.15.0-52.56) ...
Setting up ubuntu-minimal (1.417.3) ...
Setting up linux-image-4.15.0-55-generic (4.15.0-55.60) ...
Processing triggers for linux-image-4.15.0-52-generic (4.15.0-52.56) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-52-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-52-generic (--configure):
 installed linux-image-4.15.0-52-generic package post-installation script subprocess returned error exit status 1
Processing triggers for linux-image-4.15.0-55-generic (4.15.0-55.60) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-55-generic (--configure):
 installed linux-image-4.15.0-55-generic package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 linux-image-4.15.0-52-generic
 linux-image-4.15.0-55-generic
Log ended: 2019-08-03  06:41:02



Unattended-upgrades log:
Initial blacklisted packages: 
Initial whitelisted packages: 
Starting unattended upgrades script
Allowed origins are: o=Ubuntu,a=bionic, o=Ubuntu,a=bionic-security, o=UbuntuESM,a=bionic, o=Ubuntu,a=bionic-updates, o=Ubuntu,a=bionic-proposed, o=Ubuntu,a=bionic-backports
Packages that will be upgraded: ubuntu-minimal ubuntu-server ubuntu-standard
Writing dpkg log to /var/log/unattended-upgrades/unattended-upgrades-dpkg.log
Installing the upgrades failed!
error message: installArchives() failed
dpkg returned a error! See /var/log/unattended-upgrades/unattended-upgrades-dpkg.log for details
i zupełnie nie mam pomysłu jak to ugryźć i przywrócić do porządku :(
Pomóżcie proszę.

Dzięki i pozdrawiam!
Awatar użytkownika
Tomfoc
Przebojowy Jelonek
Przebojowy Jelonek
Posty: 1924
Rejestracja: 30 lis 2011, 21:14
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64

Re: Problem z aktualizacją pakietów

Post autor: Tomfoc » 05 sie 2019, 12:58

Zrób może to, co podpowiada komunikat.
Warning: A reboot is required to complete this upgrade.
Laptop: Lenovo Ideapad 300, CPU: Intel® Core™ i5-6200U CPU @ 2.30GHz × 4, GPU: Intel® HD Graphics 520 (Skylake GT2), RAM: 8 GB, HDD: 500 GB
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Re: Problem z aktualizacją pakietów

Post autor: cookiemonster » 05 sie 2019, 14:21

Próba zainstalowania/zaktualizowania czegokolwiek kończy się tym samym!

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up linux-image-4.15.0-52-generic (4.15.0-52.56) ...
Setting up linux-image-4.15.0-55-generic (4.15.0-55.60) ...
Processing triggers for linux-image-4.15.0-52-generic (4.15.0-52.56) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-52-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-52-generic (--configure):
 installed linux-image-4.15.0-52-generic package post-installation script subprocess returned error exit status 1
Processing triggers for linux-image-4.15.0-55-generic (4.15.0-55.60) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-55-generic (--configure):
 installed linux-image-4.15.0-55-generic package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 linux-image-4.15.0-52-generic
 linux-image-4.15.0-55-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nawrocki@ubuntu:~$
Awatar użytkownika
Tomfoc
Przebojowy Jelonek
Przebojowy Jelonek
Posty: 1924
Rejestracja: 30 lis 2011, 21:14
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: GNOME
Architektura: x86_64

Re: Problem z aktualizacją pakietów

Post autor: Tomfoc » 05 sie 2019, 14:26

Rzuca się w oczy jeszcze to:
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Może coś się poprawi po komendach:

Kod: Zaznacz cały

sudo apt install -f
i kolejne

Kod: Zaznacz cały

sudo apt autoremove
Laptop: Lenovo Ideapad 300, CPU: Intel® Core™ i5-6200U CPU @ 2.30GHz × 4, GPU: Intel® HD Graphics 520 (Skylake GT2), RAM: 8 GB, HDD: 500 GB
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Re: Problem z aktualizacją pakietów

Post autor: cookiemonster » 05 sie 2019, 14:38

Obydwie komendy wypluwają to samo:

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo apt install -f
[sudo] password for nawrocki:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.15.0-52-generic (4.15.0-52.56) ...
Setting up linux-image-4.15.0-55-generic (4.15.0-55.60) ...
Processing triggers for linux-image-4.15.0-52-generic (4.15.0-52.56) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-52-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-52-generic (--configure):
 installed linux-image-4.15.0-52-generic package post-installation script subprocess returned error exit status 1
Processing triggers for linux-image-4.15.0-55-generic (4.15.0-55.60) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-55-generic (--configure):
 installed linux-image-4.15.0-55-generic package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 linux-image-4.15.0-52-generic
 linux-image-4.15.0-55-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nawrocki@ubuntu:~$
i

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo apt autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.15.0-52-generic (4.15.0-52.56) ...
Setting up linux-image-4.15.0-55-generic (4.15.0-55.60) ...
Processing triggers for linux-image-4.15.0-52-generic (4.15.0-52.56) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-52-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-52-generic (--configure):
 installed linux-image-4.15.0-52-generic package post-installation script subprocess returned error exit status 1
Processing triggers for linux-image-4.15.0-55-generic (4.15.0-55.60) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Found kernel: /vmlinuz-4.15.0-55-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-52-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-55-generic (--configure):
 installed linux-image-4.15.0-55-generic package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 linux-image-4.15.0-52-generic
 linux-image-4.15.0-55-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nawrocki@ubuntu:~$
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Problem z aktualizacją pakietów

Post autor: kobrawerde » 05 sie 2019, 19:40

może spróbuj tak ...ale nie ponoszę odpowiedzialności za szkody. Jak wiadomo najlepiej zrobić backup systemu !

Kod: Zaznacz cały

sudo dpkg --purge linux-image-4.15.0-55-generic
sudo apt-get update
sudo apt-get -f install
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Re: Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: cookiemonster » 06 sie 2019, 12:50

Backup jest (snapshot ESXi), więc raczej się nie martwię.
Niestety takie coś teraz dostaję

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo dpkg --purge linux-image-4.15.0-55-generic
dpkg: dependency problems prevent removal of linux-image-4.15.0-55-generic:
 linux-image-generic depends on linux-image-4.15.0-55-generic.
 linux-modules-extra-4.15.0-55-generic depends on linux-image-4.15.0-55-generic | linux-image-unsigned-4.15.0-55-generic; however:
  Package linux-image-4.15.0-55-generic is to be removed.
  Package linux-image-unsigned-4.15.0-55-generic is not installed.

dpkg: error processing package linux-image-4.15.0-55-generic (--purge):
 dependency problems - not removing
Errors were encountered while processing:
 linux-image-4.15.0-55-generic
nawrocki@ubuntu:~$
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Re: Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: cookiemonster » 12 sie 2019, 09:42

Dzień dobry,
czy ktoś z Państwa wie jak sobie z tym poradzić?
Awatar użytkownika
jacekalex
Gibki Gibbon
Gibki Gibbon
Posty: 4113
Rejestracja: 17 cze 2007, 02:54
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: MATE
Architektura: x86_64

Re: Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: jacekalex » 12 sie 2019, 10:13

Kod: Zaznacz cały

update-initramfs: Generating /boot/initrd.img-4.15.0-55-generic
/usr/share/initramfs-tools/hooks/plymouth: 1: /usr/share/initramfs-tools/hooks/plymouth: Syntax error: "(" unexpected
/usr/share/initramfs-tools/scripts/init-premount/plymouth: 1: /usr/share/initramfs-tools/scripts/init-premount/plymouth: Syntax error: word unexpected (expecting ")")
/usr/share/initramfs-tools/scripts/init-bottom/plymouth: 1: /usr/share/initramfs-tools/scripts/init-bottom/plymouth: Syntax error: "(" unexpected
/usr/sbin/mkinitramfs: 755: /usr/sbin/mkinitramfs: /usr/share/initramfs-tools/scripts/panic/plymouth: Exec format error 
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Przecież masz tam w logu napisane wyraźnie, że katastrofę powodują skrypty Plymounth do initramfs.
Odinstaluj plymountha i powinien być spokój.
Tylko przy uruchamianiu zobaczysz, wtedy czarną konsolę, i setki błędów, które Plymounth miał zakrywać przed oczami zaniepokojonych użyszkodników. :twisted:

Pozdro
:craz:
Problemy rozwiązujemy na forum nie na PW -> Niech inni na tym skorzystają.
Komputer jest jak klimatyzacja - gdy otworzysz okna, robi się bezużyteczny...
Linux User #499936
Inny OS: Gentoo Linux :)
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Re: Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: cookiemonster » 13 sie 2019, 09:33

To do dzieła:

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo apt remove plymouth
[sudo] password for nawrocki:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  fonts-ubuntu libplymouth4
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  linux-image-4.15.0-55-generic plymouth plymouth-label
  plymouth-theme-ubuntu-text
0 upgraded, 0 newly installed, 4 to remove and 9 not upgraded.
2 not fully installed or removed.
After this operation, 8,881 kB disk space will be freed.
Do you want to continue? [Y/n] Y
dpkg: warning: files list file for package 'libpolkit-agent-1-0:amd64' missing;                                                                                assuming package has no files currently installed
dpkg: warning: files list file for package 'policykit-1' missing; assuming packa                                                                               ge has no files currently installed
dpkg: warning: files list file for package 'java-common' missing; assuming packa                                                                               ge has no files currently installed
dpkg: warning: files list file for package 'gettext-base' missing; assuming pack                                                                               age has no files currently installed
dpkg: warning: files list file for package 'libpolkit-backend-1-0:amd64' missing                                                                               ; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdns-export1100' missing; assuming                                                                                package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-gobject-1-0:amd64' missing                                                                               ; assuming package has no files currently installed
(Reading database ... 171463 files and directories currently installed.)
Removing linux-image-4.15.0-55-generic (4.15.0-55.60) ...
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-4.15.0-55-generic
/etc/kernel/postrm.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-54-generic
Progress: [ 47%] [###########################...............................]
Progress: [ 60%] [##################################........................]

/etc/kernel/postrm.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-55-generic (--remove):
 installed linux-image-4.15.0-55-generic package post-removal script subprocess                                                                                returned error exit status 1
Removing plymouth-label (0.9.3-1ubuntu7.18.04.2) ...
Removing plymouth-theme-ubuntu-text (0.9.3-1ubuntu7.18.04.2) ...
update-initramfs: deferring update (trigger activated)
Removing plymouth (0.9.3-1ubuntu7.18.04.2) .................................]
update-initramfs: deferring update (trigger activated)
Errors were encountered while processing:
 linux-image-4.15.0-55-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nawrocki@ubuntu:~$ 
Ale nadal masa błędów :(((
To jakaś grubsza sprawa, ale nie mam pojęcia co się stało

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  fonts-ubuntu libplymouth4
Use 'sudo apt autoremove' to remove them.
The following packages will be upgraded:
  ghostscript libgs9 libgs9-common mariadb-client-10.1 mariadb-client-core-10.1 mariadb-common mariadb-server mariadb-server-10.1 mariadb-server-core-10.1
9 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 0 B/35.8 MB of archives.
After this operation, 42.0 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Preconfiguring packages ...
dpkg: warning: files list file for package 'libpolkit-agent-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'policykit-1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'java-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gettext-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-backend-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdns-export1100' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-gobject-1-0:amd64' missing; assuming package has no files currently installed
(Reading database ... 171385 files and directories currently installed.)
Preparing to unpack .../mariadb-common_1%3a10.1.41-0ubuntu0.18.04.1_all.deb ...
Unpacking mariadb-common (1:10.1.41-0ubuntu0.18.04.1) over (1:10.1.40-0ubuntu0.18.04.1) ...
Preparing to unpack .../mariadb-client-core-10.1_1%3a10.1.41-0ubuntu0.18.04.1_amd64.deb ...
Unpacking mariadb-client-core-10.1 (1:10.1.41-0ubuntu0.18.04.1) over (1:10.1.40-0ubuntu0.18.04.1) ...
Setting up mariadb-common (1:10.1.41-0ubuntu0.18.04.1) ...
dpkg: warning: files list file for package 'libpolkit-agent-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'policykit-1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'java-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gettext-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-backend-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdns-export1100' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-gobject-1-0:amd64' missing; assuming package has no files currently installed
(Reading database ... 171385 files and directories currently installed.)
Preparing to unpack .../0-mariadb-server-10.1_1%3a10.1.41-0ubuntu0.18.04.1_amd64.deb ...
/var/lib/mysql: found previous version 10.1
Unpacking mariadb-server-10.1 (1:10.1.41-0ubuntu0.18.04.1) over (1:10.1.40-0ubuntu0.18.04.1) ...
Preparing to unpack .../1-mariadb-client-10.1_1%3a10.1.41-0ubuntu0.18.04.1_amd64.deb ...
Unpacking mariadb-client-10.1 (1:10.1.41-0ubuntu0.18.04.1) over (1:10.1.40-0ubuntu0.18.04.1) ...
Preparing to unpack .../2-mariadb-server-core-10.1_1%3a10.1.41-0ubuntu0.18.04.1_amd64.deb ...
Unpacking mariadb-server-core-10.1 (1:10.1.41-0ubuntu0.18.04.1) over (1:10.1.40-0ubuntu0.18.04.1) ...
Preparing to unpack .../3-ghostscript_9.26~dfsg+0-0ubuntu0.18.04.10_amd64.deb ...
Unpacking ghostscript (9.26~dfsg+0-0ubuntu0.18.04.10) over (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Preparing to unpack .../4-libgs9_9.26~dfsg+0-0ubuntu0.18.04.10_amd64.deb ...
Unpacking libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.10) over (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Preparing to unpack .../5-libgs9-common_9.26~dfsg+0-0ubuntu0.18.04.10_all.deb ...
Unpacking libgs9-common (9.26~dfsg+0-0ubuntu0.18.04.10) over (9.26~dfsg+0-0ubuntu0.18.04.9) ...
Preparing to unpack .../6-mariadb-server_1%3a10.1.41-0ubuntu0.18.04.1_all.deb ...
Unpacking mariadb-server (1:10.1.41-0ubuntu0.18.04.1) over (1:10.1.40-0ubuntu0.18.04.1) ...
Setting up libgs9-common (9.26~dfsg+0-0ubuntu0.18.04.10) ...
Setting up mariadb-server-core-10.1 (1:10.1.41-0ubuntu0.18.04.1) ...
Processing triggers for ureadahead (0.100.0-21) ...
Setting up mariadb-client-core-10.1 (1:10.1.41-0ubuntu0.18.04.1) ...
Processing triggers for initramfs-tools (0.130ubuntu3.8) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-54-generic
Setting up linux-image-4.15.0-52-generic (4.15.0-52.56) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.15.0-52-generic
I: /initrd.img.old is now a symlink to boot/initrd.img-4.15.0-52-generic
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for systemd (237-3ubuntu10.25) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Setting up libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.10) ...
Setting up mariadb-client-10.1 (1:10.1.41-0ubuntu0.18.04.1) ...
Setting up ghostscript (9.26~dfsg+0-0ubuntu0.18.04.10) ...
Setting up mariadb-server-10.1 (1:10.1.41-0ubuntu0.18.04.1) ...
/var/lib/dpkg/info/mariadb-server-10.1.postinst: line 18: 20843 Done                    echo "$password_column_fix_query"
     20844 Aborted                 (core dumped) | $MYSQL_BOOTSTRAP 2>&1
     20845                       | $ERR_LOGGER
dpkg: error processing package mariadb-server-10.1 (--configure):
 installed mariadb-server-10.1 package post-installation script subprocess returned error exit status 134
dpkg: dependency problems prevent configuration of mariadb-server:
 mariadb-server depends on mariadb-server-10.1 (>= 1:10.1.41-0ubuntu0.18.04.1); however:
  Package mariadb-server-10.1 is not configured yet.

dpkg: error processing package mariadb-server (--configure):
 dependency problems - leaving unconfigured
Processing triggers for linux-image-4.15.0-52-generic (4.15.0-52.56) ...
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          /etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-52-generic
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-52-generic (--configure):
 installed linux-image-4.15.0-52-generic package post-installation script subprocess returned error exit status 1
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Errors were encountered while processing:
 mariadb-server-10.1
 mariadb-server
 linux-image-4.15.0-52-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nawrocki@ubuntu:~$

Kod: Zaznacz cały

nawrocki@ubuntu:~$ sudo apt autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  fonts-ubuntu libplymouth4 linux-image-4.15.0-55-generic
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 12.8 MB disk space will be freed.
Do you want to continue? [Y/n] Y
dpkg: warning: files list file for package 'libpolkit-agent-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'policykit-1' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'java-common' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'gettext-base' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-backend-1-0:amd64' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libdns-export1100' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'libpolkit-gobject-1-0:amd64' missing; assuming package has no files currently installed
(Reading database ... 171384 files and directories currently installed.)
Removing linux-image-4.15.0-55-generic (4.15.0-55.60) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.15.0-54-generic
I: /initrd.img.old is now a symlink to boot/initrd.img-4.15.0-54-generic
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-4.15.0-55-generic
/etc/kernel/postrm.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /vmlinuz-4.15.0-54-generic
Found kernel: /vmlinuz-4.15.0-54-generic
Updating /boot/grub/menu.lst ... done

/etc/kernel/postrm.d/zz-update-grub:
/usr/sbin/update-grub: 3: exec: grub-mkconfig: Exec format error
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 2
dpkg: error processing package linux-image-4.15.0-55-generic (--remove):
 installed linux-image-4.15.0-55-generic package post-removal script subprocess returned error exit status 1
Removing fonts-ubuntu (0.83-2) ...
Removing libplymouth4:amd64 (0.9.3-1ubuntu7.18.04.2) ...
Errors were encountered while processing:
 linux-image-4.15.0-55-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
nawrocki@ubuntu:~$ 
Awatar użytkownika
jacekalex
Gibki Gibbon
Gibki Gibbon
Posty: 4113
Rejestracja: 17 cze 2007, 02:54
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: MATE
Architektura: x86_64

Re: Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: jacekalex » 13 sie 2019, 15:59

Nie chcę Cię straszyć, ale może się okazać, że łatwiej będzie zaorać ten system i zainstalować go na nowo, niż naprawić przy takim bajzlu.
Problemy rozwiązujemy na forum nie na PW -> Niech inni na tym skorzystają.
Komputer jest jak klimatyzacja - gdy otworzysz okna, robi się bezużyteczny...
Linux User #499936
Inny OS: Gentoo Linux :)
cookiemonster
Piegowaty Guziec
Piegowaty Guziec
Posty: 17
Rejestracja: 18 paź 2006, 02:09
Płeć: Mężczyzna
Wersja Ubuntu: 7.10
Środowisko graficzne: Blackbox
Kontakt:

Re: Błąd przy aktualizacji pakietów - uszkodzone pakiety?

Post autor: cookiemonster » 13 sie 2019, 16:12

Brałem to pod uwagę, ale myślałem, że jednak jest jakiś ratunek ;)
ODPOWIEDZ

Wróć do „Instalacja, aktualizacja i konfiguracja Ubuntu”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 51 gości